UndoableEditEvent (Java Platform SE 8 )
Keywords: javax.swing.event.UndoableEditEvent class
Date: 2015-11-19

javax.swing.event

## Class UndoableEditEvent

- java.lang.Object
- - java.util.EventObject
  - - javax.swing.event.UndoableEditEvent

- All Implemented Interfaces:
    Serializable

      public class UndoableEditEvent
      extends EventObject

  An event indicating that an operation which can be undone has occurred.

  Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeans™ has been added to the `java.beans` package. Please see `XMLEncoder`.

- - ### Field Summary

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UndoableEditEvent(Object source, UndoableEdit edit)` Constructs an UndoableEditEvent object.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `UndoableEdit` | `getEdit()` Returns the edit value.

    - ### Methods inherited from class java.util.EventObject

      `getSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UndoableEditEvent

          public UndoableEditEvent(Object source,
                                   UndoableEdit edit)

      Constructs an UndoableEditEvent object.
      Parameters:
        `source` - the Object that originated the event (typically `this`)
        `edit` - an UndoableEdit object

  - ### Method Detail

    - #### getEdit

          public UndoableEdit getEdit()

      Returns the edit value.
      Returns:
        the UndoableEdit object encapsulating the edit

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2015, Oracle and/or its affiliates. All rights reserved.